<bugID>958886<Summary>Use HTTPS for amazon.com searches from the search box</Summary><Description>+++ This bug was initially created as a clone of Bug #958885 +++
+++ This bug was initially created as a clone of Bug #958873 +++

amazon.com is one of only two remaining pre-installed search engines in the en-US localization that does not support HTTPS for searches. I have experimented with submitting searches to amazon.com such that they get redirected to HTTP. That seems to work, and it would send a nice message to amazon.com that we want searches to be done over HTTPS. As you can see from bug 771788, we're making great progress on making all the in-built functionality in Firefox use HTTPS by default, and this is likely to be a long pole. It would be great to get amazon.com supporting HTTPS, at least for these in-product searches.

Assigning to Kev for now since he's the only person I am familiar with that deals with these sorts of agreements.</Description></bugID>